net.minecraft.world.chunk.storage

## Class AnvilSaveHandler

- java.lang.Object
- - net.minecraft.world.storage.SaveHandler
  - - net.minecraft.world.chunk.storage.AnvilSaveHandler

- All Implemented Interfaces:
    IPlayerFileData, ISaveHandler

      public class AnvilSaveHandler
      extends SaveHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnvilSaveHandler(File par1File, String par2Str, boolean par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flush()` Called to flush all changes to disk, waiting for them to complete.
    `IChunkLoader` | `getChunkLoader(WorldProvider par1WorldProvider)` Returns the chunk loader with the provided world provider
    `void` | `saveWorldInfoWithPlayer(WorldInfo par1WorldInfo, NBTTagCompound par2NBTTagCompound)` Saves the given World Info with the given NBTTagCompound as the Player.

    - ### Methods inherited from class net.minecraft.world.storage.SaveHandler

      `checkSessionLock, getAvailablePlayerDat, getMapFileFromName, getPlayerData, getSaveHandler, getWorldDirectory, getWorldDirectoryName, loadWorldInfo, readPlayerData, saveWorldInfo, writePlayerData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnvilSaveHandler

          public AnvilSaveHandler(File par1File,
                          String par2Str,
                          boolean par3)

  - ### Method Detail

    - #### getChunkLoader

          public IChunkLoader getChunkLoader(WorldProvider par1WorldProvider)

      Returns the chunk loader with the provided world provider
      Specified by:
        `getChunkLoader` in interface `ISaveHandler`
      Overrides:
        `getChunkLoader` in class `SaveHandler`

    - #### saveWorldInfoWithPlayer

          public void saveWorldInfoWithPlayer(WorldInfo par1WorldInfo,
                                     NBTTagCompound par2NBTTagCompound)

      Saves the given World Info with the given NBTTagCompound as the Player.
      Specified by:
        `saveWorldInfoWithPlayer` in interface `ISaveHandler`
      Overrides:
        `saveWorldInfoWithPlayer` in class `SaveHandler`

    - #### flush

          public void flush()

      Called to flush all changes to disk, waiting for them to complete.
      Specified by:
        `flush` in interface `ISaveHandler`
      Overrides:
        `flush` in class `SaveHandler`